
Ryzom - Bug # 1212

Status: Feedback Priority: Normal
Author: rti Category: OS: Mac
Created: 12/11/2010 Assignee:
Updated: 01/12/2011 Due date:
Subject: Crash - Lua, Choosing actions with mouse?
Description

This crash seems to happen when moving the mouse in the action bar (help windows appear) while casting.

History
#1 - 12/11/2010 06:30 pm - rti

kervala: rti: did you update your gamedev.bnp ?
kervala: because it seems like it has been fixed on Hg
kervala: in .lua :p

#2 - 12/12/2010 02:45 am - rti

seems to be a duplicate of #1115

#3 - 12/12/2010 02:48 am - rti
- Status changed from New to Resolved
- Target version changed from Version 0.9.0 to Version 0.8.0

As kervala said: fixed by updating game data

Go to data dir and run:

rsync -rtzv --progress --stats www.ryzom.com::ryzom/ .

#4 - 12/12/2010 10:48 am - kervala
- % Done changed from 0 to 100

#5 - 12/14/2010 11:52 am - rti
- File log.log added
- File lua-crash4.txt added
- % Done changed from 100 to 0

Still happens rarely, even with updated data.

#6 - 12/14/2010 11:56 am - kervala
Please could you retry with these lines in client.cfg ?

AllowDebugLua        = 1;
DisplayLuaDebugInfo  = 1;

Thanks :)

#7 - 12/14/2010 11:57 am - kervala
- Status changed from Resolved to Validated

#8 - 12/14/2010 12:36 pm - rti
- File deleted (lua-crash.txt)

#9 - 12/14/2010 12:36 pm - rti
- File deleted (lua-crash2.txt)

#10 - 12/14/2010 12:36 pm - rti
- File deleted (lua-crash4.txt)

#11 - 12/14/2010 12:36 pm - rti
- File deleted (log.log)

#12 - 12/14/2010 12:36 pm - rti
- File deleted (lua-crash3.txt)

#13 - 12/14/2010 12:37 pm - rti
- File crash.txt added
- File client.log added
- File log.log added

#14 - 12/14/2010 12:42 pm - rti

I cannot spot any useful information in the logs though... Do i need to disable FINAL_VERSION or something?

#15 - 12/14/2010 02:28 pm - rti
- File deleted (crash.txt)

#16 - 12/14/2010 02:28 pm - rti
- File deleted (client.log)

#17 - 12/14/2010 02:28 pm - rti
- File deleted (log.log)

#18 - 12/14/2010 02:29 pm - rti
- File client.log added
- File log.log added
- File crash.txt added

again the logs from a non final version build
#19 - 12/20/2010 12:11 am - rti

Hmm. Very interesting...

The problem first appeared on a new notebook. Today I realized that the old machine was using a static luabind build while my new setup uses a
dynamic library as build by kervalas cmake script for luabind (http://svn.kervala.net/utils/packaging/luabind)
Liblua as installed by macports is a static library as well (in contrast to most other libs).

Now I linked the ryzom client on my new machine with the static libluabind from the old machine and the crash seems to be gone. I will do some more
testing. Would be strange if this is really the reason...

#20 - 12/20/2010 11:13 am - kervala

Perhaps the 2 versions are (slightly) different at code level. BTw a new version just got released: 0.9.1.

#21 - 12/21/2010 10:12 pm - rti

Ok, updated to 0.9.1 (from kervalas repository) ... no difference. As a static lib every thing is working fine, if luabind is used in form of a dynamic
library, it crashes...

#22 - 12/24/2010 11:34 am - rti

http://stackoverflow.com/questions/2215609/problem-in-luabind-with-default-converter-and-tables

Bottom line: Strange error disappeared after building luabind statically (on mac)...

#23 - 01/08/2011 06:49 pm - rti
- Target version changed from Version 0.8.0 to Version 0.9.0

#24 - 01/09/2011 10:02 pm - rti

I had a problem with luabind a long time ago: http://dev.ryzom.com/boards/17/topics/1773

Finally the problem was solved by building luabind as static debug library. I now think, the key was not to build luabind as debug, but to build it as
static, because I can reproduce the crash I had with a luabind dynamic library. Interesting is, that this only happens with a dynamic debug library. A
dynamic release library crashes only as described in this issue.

Static debug and release builds of luabind seem to work fine.

As I already spent too much time on this I would like to close the issue. I updated instructions on [[InstallingLuabind]] to build static luabind on Mac OS
X.

#25 - 01/12/2011 11:30 am - rti
- Status changed from Validated to Feedback

Files
client.log 933.6 kB 12/14/2010 rti
log.log 934.9 kB 12/14/2010 rti
crash.txt 39.6 kB 12/14/2010 rti
